@tailwind base;
@tailwind components;
@tailwind utilities;

@layer components {
  .input {
    @apply px-2 py-1 border-2 block w-3/4
  }
  .button{
    @apply bg-secondary py-1 px-2
  }
  .button:hover{
    @apply bg-accent
  }
  .grey-button{
    @apply bg-slate-300 py-1 px-2 mr-2 
  }
  .grey-button:hover{
    @apply bg-slate-400
  }
  .btn {
    @apply font-medium;
  }
}

.button, .validbtn {
  border: 1.5px solid #9BD2E9;
}

.grey-button{
  border: 1.5px solid rgb(148 163 184);
}

.unvalidbtn{
  border: 1.5px solid rgb(203 213 225);
}

:root {
  --lightest-blue: #B9E8F3;
  --light-blue: #9BD2E9;
}

nav > * {
  margin: 1em;
  color: rgb(243, 243, 243);
}
nav > * > *:hover, nav > button:hover {
  color: var(--light-blue);
}

nav{
  background-color: rgb(42,74,99);
}

.css-1s2u09g-control {
  border-style: none !important;
}

.inputField {
  height: 42px;
}

#projectStatus, #skillTags {
  margin-top: 5px;
}

#projectStatus{
  font-weight: 600;
  height: fit-content;
}

.Startfasen, .Planlegging{
  background-color: rgb(255, 152, 152);
  color: rgb(59, 2, 2);
}

.Arbeid, .Sluttfasen{
  background-color: rgb(248, 228, 112);
  color: rgb(59, 2, 2);
}

.Siste{
  background-color: rgb(99, 245, 196);
  color: rgb(1, 51, 34)
}

.Fullført{
  background-color: rgb(73, 248, 88);
  color:rgb(4, 44, 2)
}

#skillTags > *{
  background-color: rgb(214, 215, 218);
  max-height: 1.875rem;
  font-weight: 500;
  color:rgb(56, 56, 56);
}

#skillTags{
  width: 20rem;
}

#userSkillTags > *{
  background-color: rgb(182, 236, 232);
  max-height: 1.875rem;
  font-weight: 500;
  color:rgb(16, 24, 31);
}

#projectCategory {
  min-width: 9rem;
}

#searchForm{
  display: flex;
  justify-content: space-between;
}